public static interface GooglePubsubEndpointBuilderFactory.GooglePubsubBuilders
| Modifier and Type | Method and Description |
|---|---|
default GooglePubsubEndpointBuilderFactory.GooglePubsubEndpointBuilder |
googlePubsub(String path)
Google Pubsub (camel-google-pubsub)
Send and receive messages to/from Google Cloud Platform PubSub
Service.
|
default GooglePubsubEndpointBuilderFactory.GooglePubsubEndpointBuilder |
googlePubsub(String componentName,
String path)
Google Pubsub (camel-google-pubsub)
Send and receive messages to/from Google Cloud Platform PubSub
Service.
|
default GooglePubsubEndpointBuilderFactory.GooglePubsubEndpointBuilder googlePubsub(String path)
google-pubsub:projectId:destinationName
Path parameter: projectId (required)
The Google Cloud PubSub Project Id
Path parameter: destinationName (required)
The Destination Name. For the consumer this will be the subscription
name, while for the producer this will be the topic name.path - projectId:destinationNamedefault GooglePubsubEndpointBuilderFactory.GooglePubsubEndpointBuilder googlePubsub(String componentName, String path)
google-pubsub:projectId:destinationName
Path parameter: projectId (required)
The Google Cloud PubSub Project Id
Path parameter: destinationName (required)
The Destination Name. For the consumer this will be the subscription
name, while for the producer this will be the topic name.componentName - to use a custom component name for the endpoint
instead of the default namepath - projectId:destinationNameApache Camel